package com.appetiser.module.domain.models.moviedetails

data class FeatureMovie(
    val id: Long = 0,
    val artistName: String = "",
    val artworkUrl100: String = "",
    val collectionArtistId: Long = 0,
    val collectionExplicitness: String = "",
    val collectionId: Long = 0,
    val collectionName: String = "",
    val collectionPrice: Double = 0.0,
    val collectionViewUrl: String = "",
    val contentAdvisoryRating: String = "",
    val currency: String = "",
    val discCount: Int = 0,
    val discNumber: Int = 0,
    val longDescription: String = "",
    val previewUrl: String = "",
    val primaryGenreName: String = "",
    val releaseDate: String = "",
    val trackCount: Int = 0,
    val trackExplicitness: String = "",
    val trackHdPrice: Double = 0.0,
    val trackHdRentalPrice: Double = 0.0,
    val trackName: String = "",
    val trackNumber: Int = 0,
    val trackPrice: Double = 0.0,
    val trackTimeMillis: Long = 0,
    val trackViewUrl: String = "",
    val wrapperType: String = ""
)
